<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_myquizpoll_question"] = array (
	"ctrl" => $TCA["tx_myquizpoll_question"]["ctrl"],
	"interface" => array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,fe_group,title,name,qtype,answer1,correct1,answer2,correct2,answer3,correct3,answer4,correct4,answer5,correct5,explanation,points,image"
	),
	"feInterface" => $TCA["tx_myquizpoll_question"]["feInterface"],
	"columns" => array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type'                => 'select',
				'foreign_table'       => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				)
			)
		),
		'l18n_parent' => array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude'     => 1,
			'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config'      => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
				),
				'foreign_table'       => 'tx_myquizpoll_question',
				'foreign_table_where' => 'AND tx_myquizpoll_question.pid=###CURRENT_PID### AND tx_myquizpoll_question.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => array (		
			'config' => array (
				'type' => 'passthrough'
			)
		),
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'fe_group' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.fe_group',
			'config'  => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
					array('LLL:EXT:lang/locallang_general.xml:LGL.hide_at_login', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.any_login', -2),
					array('LLL:EXT:lang/locallang_general.xml:LGL.usergroups', '--div--')
				),
				'foreign_table' => 'fe_groups'
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required,trim",
			)
		),
		"name" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.name",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
				"wizards" => Array(
					"_PADDING" => 2,
					"RTE" => array(
						"notNewRecords" => 1,
						"RTEonly" => 1,
						"type" => "script",
						"title" => "Full screen Rich Text Editing|Formatteret redigering i hele vinduet",
						"icon" => "wizard_rte2.gif",
						"script" => "wizard_rte.php",
					),
				),
			)
		),
		"qtype" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.qtype",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.qtype.I.0", "0"),
					Array("LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.qtype.I.1", "1"),
					Array("LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.qtype.I.2", "2"),
					Array("LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.qtype.I.3", "3"),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
		"answer1" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.answer1",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required,trim",
			)
		),
		"correct1" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.correct1",		
			"config" => Array (
				"type" => "check",
			)
		),
		"answer2" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.answer2",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
		"correct2" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.correct2",		
			"config" => Array (
				"type" => "check",
			)
		),
		"answer3" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.answer3",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
		"correct3" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.correct3",		
			"config" => Array (
				"type" => "check",
			)
		),
		"answer4" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.answer4",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
		"correct4" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.correct4",		
			"config" => Array (
				"type" => "check",
			)
		),
		"answer5" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.answer5",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
		"correct5" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.correct5",		
			"config" => Array (
				"type" => "check",
			)
		),
		"explanation" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.explanation",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
				"wizards" => Array(
					"_PADDING" => 2,
					"RTE" => array(
						"notNewRecords" => 1,
						"RTEonly" => 1,
						"type" => "script",
						"title" => "Full screen Rich Text Editing|Formatteret redigering i hele vinduet",
						"icon" => "wizard_rte2.gif",
						"script" => "wizard_rte.php",
					),
				),
			)
		),
		"points" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.points",		
			"config" => Array (
				"type"     => "input",
				"size"     => "4",
				"max"      => "4",
				"eval"     => "int",
				"checkbox" => "0",
				"range"    => Array (
					"upper" => "100",
					"lower" => "0"
				),
				"default" => 0
			)
		),
		"image" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_question.image",		
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => "gif,png,jpeg,jpg",	
				"max_size" => 500,	
				"uploadfolder" => "uploads/tx_myquizpoll",
				"show_thumbs" => 1,	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, title;;;;2-2-2, name;;;richtext[paste|bold|italic|underline|formatblock|class|left|center|right|orderedlist|unorderedlist|outdent|indent|link|image]:rte_transform[mode=ts];3-3-3, qtype, answer1, correct1, answer2, correct2, answer3, correct3, answer4, correct4, answer5, correct5, explanation;;;richtext[paste|bold|italic|underline|formatblock|class|left|center|right|orderedlist|unorderedlist|outdent|indent|link|image]:rte_transform[mode=ts], points, image")
	),
	"palettes" => array (
		"1" => array("showitem" => "fe_group")
	)
);



$TCA["tx_myquizpoll_result"] = array (
	"ctrl" => $TCA["tx_myquizpoll_result"]["ctrl"],
	"interface" => array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,fe_group,name,email,homepage,ip,p_or_a,p_max,percent,o_max,o_percent,qids,firsttime,lasttime"
	),
	"feInterface" => $TCA["tx_myquizpoll_result"]["feInterface"],
	"columns" => array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type'                => 'select',
				'foreign_table'       => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				)
			)
		),
		'l18n_parent' => array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude'     => 1,
			'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config'      => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
				),
				'foreign_table'       => 'tx_myquizpoll_result',
				'foreign_table_where' => 'AND tx_myquizpoll_result.pid=###CURRENT_PID### AND tx_myquizpoll_result.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => array (		
			'config' => array (
				'type' => 'passthrough'
			)
		),
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'fe_group' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.fe_group',
			'config'  => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
					array('LLL:EXT:lang/locallang_general.xml:LGL.hide_at_login', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.any_login', -2),
					array('LLL:EXT:lang/locallang_general.xml:LGL.usergroups', '--div--')
				),
				'foreign_table' => 'fe_groups'
			)
		),
		"name" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.name",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
		"email" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.email",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
		"homepage" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.homepage",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
		"ip" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.ip",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
		"p_or_a" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.p_or_a",		
			"config" => Array (
				"type"     => "input",
				"size"     => "4",
				"max"      => "4",
				"eval"     => "int",
				"checkbox" => "0",
				"range"    => Array (
					"upper" => "1000",
					"lower" => "-1000"
				),
				"default" => 0
			)
		),
		"p_max" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.p_max",		
			"config" => Array (
				"type"     => "input",
				"size"     => "4",
				"max"      => "4",
				"eval"     => "int",
				"checkbox" => "0",
				"range"    => Array (
					"upper" => "1000",
					"lower" => "0"
				),
				"default" => 0
			)
		),
		"percent" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.percent",		
			"config" => Array (
				"type"     => "input",
				"size"     => "4",
				"max"      => "4",
				"eval"     => "int",
				"checkbox" => "0",
				"range"    => Array (
					"upper" => "100",
					"lower" => "-100"
				),
				"default" => 0
			)
		),
		"o_max" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.o_max",		
			"config" => Array (
				"type"     => "input",
				"size"     => "4",
				"max"      => "4",
				"eval"     => "int",
				"checkbox" => "0",
				"range"    => Array (
					"upper" => "1000",
					"lower" => "0"
				),
				"default" => 0
			)
		),
		"o_percent" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.o_percent",		
			"config" => Array (
				"type"     => "input",
				"size"     => "4",
				"max"      => "4",
				"eval"     => "int",
				"checkbox" => "0",
				"range"    => Array (
					"upper" => "100",
					"lower" => "-100"
				),
				"default" => 0
			)
		),
		"qids" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.qids",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required,trim",
			)
		),
		"firsttime" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.firsttime",		
			"config" => Array (
				"type"     => "input",
				"size"     => "12",
				"max"      => "20",
				"eval"     => "datetime",
				"checkbox" => "0",
				"default"  => "0"
			)
		),
		"lasttime" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:myquizpoll/locallang_db.xml:tx_myquizpoll_result.lasttime",		
			"config" => Array (
				"type"     => "input",
				"size"     => "12",
				"max"      => "20",
				"eval"     => "datetime",
				"checkbox" => "0",
				"default"  => "0"
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, name;;;richtext[paste|bold|italic|underline|formatblock|class|left|center|right|orderedlist|unorderedlist|outdent|indent|link|image]:rte_transform[mode=ts], email, homepage, ip, p_or_a, p_max, percent, o_max, o_percent, qids, firsttime, lasttime")
	),
	"palettes" => array (
		"1" => array("showitem" => "fe_group")
	)
);
?>